#include "testlib.h"
#include <algorithm>
#include <math.h>
using namespace std;

const int MAXN = (int)1e5;
const int MAXEL = (int)1e9;

long long F[MAXN];

int main(int argc, char ** argv) 
{
    registerValidation(argc, argv);

    int n = inf.readInt(3, MAXN, "n");
    inf.readEoln();

    long long sum = 0;
    for (int i = 0; i < n; i++)
    {
        int f = inf.readInt(-MAXEL, MAXEL, format("f[%d]", i + 1));
        sum += (long long)f;
        F[i] = f;
        if (i < n - 1)
            inf.readSpace();
    }
    inf.readEoln();

    ensuref(abs(sum) % 2 == 0, "Sum is not an even number!");

    sum /= 2;

    int flag = 0;
    for (int i = 0; i < n; i++)
        if (F[i] == sum)
            flag++;

    ensuref(flag == 1, "Array is not a valid array!");
    
    inf.readEof();

    return 0;
}