#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;

const long long MAX_M = 1000ll * 1000ll * 1000ll;
const long long MAX_N = 1000ll * 100ll;
const long long numGr = 6;

const long long maxN[numGr] = { 300, 300, MAX_N, 2000, 2000, MAX_N };

const long long maxM[numGr] = { MAX_M, MAX_M, 99, MAX_M, MAX_M, MAX_M };
const long long minM[numGr] = { 0, 0, 10, 0, 0, 0 };

const bool isDifferent[numGr] = { 0, 1, 0, 1, 0, 0 };

int main(int argc, char* argv[]){
    registerValidation(argc, argv);
    int group = atoi(validator.group().c_str());
    int N[3] = {};
    N[0] = inf.readLong(1, maxN[group], "g");
    inf.readSpace();
    N[1] = inf.readLong(1, maxN[group], "r");
    inf.readSpace();
    N[2] = inf.readLong(1, maxN[group], "b");
    inf.readEoln();

    set<int> T;

    for(int j = 0; j < 3; j++) {
        for(int i = 0; i < N[j]; i++) {
            int g = inf.readLong(minM[group], maxM[group], "t_i");
            T.insert(g);
            if(i < N[j] - 1) {
                inf.readSpace();
            }
        }
        inf.readEoln();
    }
    if(isDifferent[group]) {
        ensuref((int) T.size() == N[0] + N[1] + N[2], "There are same models");
    }
    inf.readEof();
}